Skip to main content
GET
/
api
/
container
/
{containerId}
/
filter
Lists all filters for a container.
curl --request GET \
  --url https://{install}/api/container/{containerId}/filter \
  --header 'Authorization: Bearer <token>'
[
  {
    "entity": "<string>",
    "containerId": "<string>",
    "name": "<string>",
    "active": true,
    "criteria": {
      "container": [
        "<string>"
      ],
      "conditionGroup": [
        {
          "condition": [
            {
              "id": "<string>",
              "leftSide": "<string>",
              "rightSide": "<string>",
              "operator": 123
            }
          ]
        }
      ],
      "includeClosed": true,
      "sortField": "<string>",
      "sortDescending": true
    },
    "tenantId": "<string>",
    "id": "<string>",
    "created": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "updated": "2023-11-07T05:31:56Z",
    "updatedBy": "<string>",
    "deleted": true
  }
]

Documentation Index

Fetch the complete documentation index at: https://ekso.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Path Parameters

containerId
string
required

The unique identifier of the container.

Response

List of filters.

entity
null | string
containerId
string
name
string
active
boolean
criteria
object
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean